Skip to content

Show content data export

Request

You can view the status of your job by sending a GET request to the URL https://api.intercom.io/export/content/data/{job_identifier} - the {job_identifier} is the value returned in the response when you first created the export job. More on it can be seen in the Export Job Model.

🚧 Jobs expire after two days All jobs that have completed processing (and are thus available to download from the provided URL) will have an expiry limit of two days from when the export ob completed. After this, the data will no longer be available.

Security
bearerAuth
Path
job_identifierstringrequired

job_identifier

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.11"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.11
curl -i -X GET \
  'https://api.intercom.io/export/content/data/{job_identifier}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.11'

Responses

successful

Bodyapplication/json
job_identifierstringrequired

The identifier for your job.

Example:"orzzsbd7hk67xyu"
statusstringrequired

The current state of your job.

Enum:"pending""in_progress""failed""completed""no_data""canceled"
Example:"pending"
download_expires_atstringrequired

The time after which you will not be able to access the data.

Example:"1674917488"
download_urlstringrequired

The location where you can download your data.

Example:"https://api.intercom.test/download/messages/data/example"
Response
{ "job_identifier": "b1ppo8h93fj386fk", "status": "pending", "download_url": "", "download_expires_at": "" }